# Задача 5. Пароль
# При регистрации на сайте помимо логина нужно ещё придумать надёжный пароль. Этот пароль должен состоять минимум
# из восьми символов, в нём должна быть хотя бы одна большая буква и хотя бы три цифры. Тогда он будет считаться
# надёжным. Напишите программу, которая запрашивает у пользователя пароль до тех пор, пока он не введёт надежный пароль.
# Используется латиница.
# Пример:
# Придумайте пароль: qwerty
# Пароль ненадёжный. Попробуйте ещё раз.
# Придумайте пароль: qwerty12
# Пароль ненадёжный. Попробуйте ещё раз.
# Придумайте пароль: qwerty123
# Пароль ненадёжный. Попробуйте ещё раз.
# Придумайте пароль: qaWEry123
# Это надёжный пароль!

while True:
    password = input('Придумайте пароль: ')
    digit_count = [int(num) for num in password if num.isdigit()]
    big_let_count = [let for let in password if let.isupper()]

    if len(password) < 8 or len(digit_count) < 3 or len(big_let_count) < 1:
        print('Пароль ненадёжный. Попробуйте ещё раз.')
    else:
        print('Это надёжный пароль!')
        break
